--- a/net/802/fc.c
+++ b/net/802/fc.c
@@ -87,7 +87,9 @@ static int fc_rebuild_header(struct sk_b
 	struct fch_hdr *fch=(struct fch_hdr *)skb->data;
 	struct fcllc *fcllc=(struct fcllc *)(skb->data+sizeof(struct fch_hdr));
 	if(fcllc->ethertype != htons(ETH_P_IP)) {
-		printk("fc_rebuild_header: Don't know how to resolve type %04X addresses ?\n", ntohs(fcllc->ethertype));
+		printk(KERN_WARNING "fc_rebuild_header: Don't know how to "
+					"resolve type %04X addresses ?\n", 
+					ntohs(fcllc->ethertype));
 		return 0;
 	}
 #ifdef CONFIG_INET
--- a/net/802/fddi.c
+++ b/net/802/fddi.c
@@ -108,8 +108,9 @@ static int fddi_rebuild_header(struct sk
 	else
 #endif	
 	{
-		printk("%s: Don't know how to resolve type %04X addresses.\n",
-		       skb->dev->name, ntohs(fddi->hdr.llc_snap.ethertype));
+		printk(KERN_WARNING "%s: Don't know how to resolve type "
+			"%04X addresses.\n",
+			skb->dev->name, ntohs(fddi->hdr.llc_snap.ethertype));
 		return(0);
 	}
 }
--- a/net/802/hippi.c
+++ b/net/802/hippi.c
@@ -55,7 +55,7 @@ static int hippi_header(struct sk_buff *
 
 	if (!len){
 		len = skb->len - HIPPI_HLEN;
-		printk("hippi_header(): length not supplied\n");
+		printk(KERN_NOTICE "hippi_header(): length not supplied\n");
 	}
 
 	/*
--- a/net/802/tr.c
+++ b/net/802/tr.c
@@ -165,7 +165,9 @@ static int tr_rebuild_header(struct sk_b
 	 */
 	 
 	if(trllc->ethertype != htons(ETH_P_IP)) {
-		printk("tr_rebuild_header: Don't know how to resolve type %04X addresses ?\n",(unsigned int)htons(trllc->ethertype));
+		printk(KERN_WARNING "tr_rebuild_header: Don't know how to "
+				"resolve type %04X addresses ?\n",
+				(unsigned int)htons(trllc->ethertype));
 		return 0;
 	}
 
@@ -281,8 +283,9 @@ void tr_source_route(struct sk_buff *skb
 		if(entry) 
 		{
 #if TR_SR_DEBUG
-printk("source routing for %02X:%02X:%02X:%02X:%02X:%02X\n",trh->daddr[0],
-		  trh->daddr[1],trh->daddr[2],trh->daddr[3],trh->daddr[4],trh->daddr[5]);
+printk(KERN_DEBUG "source routing for %02X:%02X:%02X:%02X:%02X:%02X\n", 
+			trh->daddr[0], trh->daddr[1], trh->daddr[2], 
+			trh->daddr[3], trh->daddr[4], trh->daddr[5]);
 #endif
 			if(!entry->local_ring && (ntohs(entry->rcf) & TR_RCF_LEN_MASK) >> 8)
 			{
@@ -293,11 +296,14 @@ printk("source routing for %02X:%02X:%02
 
 				trh->saddr[0]|=TR_RII;
 #if TR_SR_DEBUG
-				printk("entry found with rcf %04x\n", entry->rcf);
+				printk(KERN_DEBUG "entry found with rcf %04x\n",
+								entry->rcf);
 			}
 			else
 			{
-				printk("entry found but without rcf length, local=%02x\n", entry->local_ring);
+				printk(KERN_DEBUG "entry found but without rcf "
+							"length, local=%02x\n", 
+							entry->local_ring);
 #endif
 			}
 			entry->last_used=jiffies;
@@ -313,7 +319,8 @@ printk("source routing for %02X:%02X:%02
 				       | TR_RCF_FRAME2K | TR_RCF_LIMITED_BROADCAST);
 			trh->saddr[0]|=TR_RII;
 #if TR_SR_DEBUG
-			printk("no entry in rif table found - broadcasting frame\n");
+			printk(KERN_DEBUG "no entry in rif table found - "
+						"broadcasting frame\n");
 #endif
 		}
 	}
@@ -364,10 +371,9 @@ static void tr_add_rif_info(struct trh_h
 	if(entry==NULL) 
 	{
 #if TR_SR_DEBUG
-printk("adding rif_entry: addr:%02X:%02X:%02X:%02X:%02X:%02X rcf:%04X\n",
-		trh->saddr[0],trh->saddr[1],trh->saddr[2],
-       		trh->saddr[3],trh->saddr[4],trh->saddr[5],
-		ntohs(trh->rcf));
+printk(KERN_DEBUG "adding rif_entry: addr:%02X:%02X:%02X:%02X:%02X:%02X"
+		" rcf:%04X\n", trh->saddr[0], trh->saddr[1], trh->saddr[2],
+       		trh->saddr[3], trh->saddr[4], trh->saddr[5], ntohs(trh->rcf));
 #endif
 		/*
 		 *	Allocate our new entry. A failure to allocate loses
@@ -380,7 +386,8 @@ printk("adding rif_entry: addr:%02X:%02X
 
 		if(!entry) 
 		{
-			printk(KERN_DEBUG "tr.c: Couldn't malloc rif cache entry !\n");
+			printk(KERN_ERR "tr.c: "
+					"Couldn't malloc rif cache entry !\n");
 			spin_unlock_irqrestore(&rif_lock, flags);
 			return;
 		}
@@ -412,10 +419,9 @@ printk("adding rif_entry: addr:%02X:%02X
 			 !(trh->rcf & htons(TR_RCF_BROADCAST_MASK)))
 		    {
 #if TR_SR_DEBUG
-printk("updating rif_entry: addr:%02X:%02X:%02X:%02X:%02X:%02X rcf:%04X\n",
-		trh->saddr[0],trh->saddr[1],trh->saddr[2],
-		trh->saddr[3],trh->saddr[4],trh->saddr[5],
-		ntohs(trh->rcf));
+printk(KERN_DEBUG "updating rif_entry: addr:%02X:%02X:%02X:%02X:%02X:%02X "
+		"rcf:%04X\n", trh->saddr[0], trh->saddr[1], trh->saddr[2],
+		trh->saddr[3], trh->saddr[4], trh->saddr[5], ntohs(trh->rcf));
 #endif
 			    entry->rcf = trh->rcf & htons((unsigned short)~TR_RCF_BROADCAST_MASK);
         		    memcpy(&(entry->rseg[0]),&(trh->rseg[0]),8*sizeof(unsigned short));
--- a/net/8021q/vlan_dev.c
+++ b/net/8021q/vlan_dev.c
@@ -671,7 +671,7 @@ int vlan_dev_set_mac_address(struct net_
 
 	memcpy(dev->dev_addr, addr->sa_data, dev->addr_len);
 
-	printk("%s: Setting MAC address to ", dev->name);
+	printk(KERN_INFO "%s: Setting MAC address to ", dev->name);
 	for (i = 0; i < 6; i++)
 		printk(" %2.2x", dev->dev_addr[i]);
 	printk(".\n");
@@ -687,13 +687,16 @@ int vlan_dev_set_mac_address(struct net_
 
 			/* Make PROMISC visible to the user. */
 			flgs |= IFF_PROMISC;
-			printk("VLAN (%s):  Setting underlying device (%s) to promiscious mode.\n",
-			       dev->name, VLAN_DEV_INFO(dev)->real_dev->name);
-			dev_change_flags(VLAN_DEV_INFO(dev)->real_dev, flgs);
+			printk(KERN_INFO "VLAN (%s):  Setting underlying device"
+				" (%s) to promiscious mode.\n",
+				dev->name, VLAN_DEV_INFO(dev)->real_dev->name);
+				dev_change_flags(VLAN_DEV_INFO(dev)->real_dev, 
+				flgs);
 		}
 	} else {
-		printk("VLAN (%s):  Underlying device (%s) has same MAC, not checking promiscious mode.\n",
-		       dev->name, VLAN_DEV_INFO(dev)->real_dev->name);
+		printk(KERN_INFO "VLAN (%s):  Underlying device (%s) has same "
+				"MAC, not checking promiscious mode.\n",
+				dev->name, VLAN_DEV_INFO(dev)->real_dev->name);
 	}
 
 	return 0;
--- a/net/atm/lec.c
+++ b/net/atm/lec.c
@@ -261,7 +261,7 @@ lec_start_xmit(struct sk_buff *skb, stru
         
         DPRINTK("lec_start_xmit called\n");  
         if (!priv->lecd) {
-                printk("%s:No lecd attached\n",dev->name);
+                printk(KERN_WARNING "%s:No lecd attached\n",dev->name);
                 priv->stats.tx_errors++;
                 netif_stop_queue(dev);
                 return -EUNATCH;
@@ -302,7 +302,7 @@ lec_start_xmit(struct sk_buff *skb, stru
 #endif
 
 #if DUMP_PACKETS > 0
-        printk("%s: send datalen:%ld lecid:%4.4x\n", dev->name,
+        printk(KERN_DEBUG "%s: send datalen:%ld lecid:%4.4x\n", dev->name,
                skb->len, priv->lecid);
 #if DUMP_PACKETS >= 2
         for(i=0;i<skb->len && i <99;i++) {
@@ -314,9 +314,9 @@ lec_start_xmit(struct sk_buff *skb, stru
         }
 #endif /* DUMP_PACKETS >= 1 */
         if (i==skb->len)
-                printk("%s\n",buf);
+                printk(KERN_DEBUG "%s\n",buf);
         else
-                printk("%s...\n",buf);
+                printk(KERN_DEBUG "%s...\n",buf);
 #endif /* DUMP_PACKETS > 0 */
 
         /* Minimum ethernet-frame size */
@@ -375,8 +375,8 @@ lec_start_xmit(struct sk_buff *skb, stru
         }
                 
 #if DUMP_PACKETS > 0                    
-        printk("%s:sending to vpi:%d vci:%d\n", dev->name,
-               vcc->vpi, vcc->vci);       
+        printk(KERN_DEBUG "%s:sending to vpi:%d vci:%d\n",
+					dev->name, vcc->vpi, vcc->vci);
 #endif /* DUMP_PACKETS > 0 */
                 
         while (entry && (skb2 = skb_dequeue(&entry->tx_wait))) {
@@ -506,8 +506,8 @@ lec_atm_send(struct atm_vcc *vcc, struct
 		if (priv->lane_version > 1)
 			priv->lane2_ops = &lane2_ops;
 		if (dev->change_mtu(dev, mesg->content.config.mtu))
-			printk("%s: change_mtu to %d failed\n", dev->name,
-			    mesg->content.config.mtu);
+			printk(KERN_NOTICE "%s: change_mtu to %d failed\n",
+					dev->name, mesg->content.config.mtu);
 		priv->is_proxy = mesg->content.config.is_proxy;
                 break;
         case l_flush_tran_id:
@@ -556,7 +556,8 @@ lec_atm_send(struct atm_vcc *vcc, struct
                 }
                 break;
         default:
-                printk("%s: Unknown message type %d\n", dev->name, mesg->type);
+                printk(KERN_NOTICE "%s: Unknown message type %d\n",
+							dev->name, mesg->type);
                 dev_kfree_skb(skb);
                 return -EINVAL;
         }
@@ -578,14 +579,14 @@ lec_atm_close(struct atm_vcc *vcc)
         lec_arp_destroy(priv);
 
         if (skb_peek(&sk_atm(vcc)->sk_receive_queue))
-		printk("%s lec_atm_close: closing with messages pending\n",
-                       dev->name);
+		printk(KERN_DEBUG "%s lec_atm_close: "
+			"closing with messages pending\n",dev->name);
         while ((skb = skb_dequeue(&sk_atm(vcc)->sk_receive_queue)) != NULL) {
                 atm_return(vcc, skb->truesize);
 		dev_kfree_skb(skb);
         }
   
-	printk("%s: Shut down!\n", dev->name);
+	printk(KERN_INFO "%s: Shut down!\n", dev->name);
         module_put(THIS_MODULE);
 }
 
@@ -677,7 +678,7 @@ lec_init(struct net_device *dev)
         dev->get_stats = lec_get_stats;
         dev->set_multicast_list = lec_set_multicast_list;
         dev->do_ioctl  = NULL;
-        printk("%s: Initialized!\n",dev->name);
+        printk(KERN_INFO "%s: Initialized!\n",dev->name);
         return;
 }
 
@@ -707,8 +708,8 @@ lec_push(struct atm_vcc *vcc, struct sk_
         int i=0;
         char buf[300];
 
-        printk("%s: lec_push vcc vpi:%d vci:%d\n", dev->name,
-               vcc->vpi, vcc->vci);
+        printk(KERN_DEBUG "%s: lec_push vcc vpi:%d vci:%d\n",
+						dev->name, vcc->vpi, vcc->vci);
 #endif
         if (!skb) {
                 DPRINTK("%s: null skb\n",dev->name);
@@ -716,8 +717,8 @@ lec_push(struct atm_vcc *vcc, struct sk_
                 return;
         }
 #if DUMP_PACKETS > 0
-        printk("%s: rcv datalen:%ld lecid:%4.4x\n", dev->name,
-               skb->len, priv->lecid);
+        printk(KERN_DEBUG "%s: rcv datalen:%ld lecid:%4.4x\n", 
+					dev->name, skb->len, priv->lecid);
 #if DUMP_PACKETS >= 2
         for(i=0;i<skb->len && i <99;i++) {
                 sprintf(buf+i*3,"%2.2x ",0xff&skb->data[i]);
@@ -728,9 +729,9 @@ lec_push(struct atm_vcc *vcc, struct sk_
         }
 #endif /* DUMP_PACKETS >= 1 */
         if (i==skb->len)
-                printk("%s\n",buf);
+                printk(KERN_DEBUG "%s\n",buf);
         else
-                printk("%s...\n",buf);
+                printk(KERN_DEBUG "%s...\n",buf);
 #endif /* DUMP_PACKETS > 0 */
         if (memcmp(skb->data, lec_ctrl_magic, 4) ==0) { /* Control frame, to daemon*/
 		struct sock *sk = sk_atm(vcc);
@@ -808,7 +809,7 @@ lec_pop(struct atm_vcc *vcc, struct sk_b
 	struct net_device *dev = skb->dev;
 
 	if (vpriv == NULL) {
-		printk("lec_pop(): vpriv = NULL!?!?!?\n");
+		printk(KERN_DEBUG "lec_pop(): vpriv = NULL!?!?!?\n");
 		return;
 	}
 
@@ -831,8 +832,8 @@ lec_vcc_attach(struct atm_vcc *vcc, void
         /* Lecd must be up in this case */
         bytes_left = copy_from_user(&ioc_data, arg, sizeof(struct atmlec_ioc));
         if (bytes_left != 0) {
-                printk("lec: lec_vcc_attach, copy from user failed for %d bytes\n",
-                       bytes_left);
+                printk(KERN_WARNING "lec: lec_vcc_attach, copy from user failed"
+					" for %d bytes\n", bytes_left);
         }
         if (ioc_data.dev_num < 0 || ioc_data.dev_num >= MAX_LEC_ITF || 
             !dev_lec[ioc_data.dev_num])
@@ -1232,7 +1233,7 @@ static int __init lane_module_init(void)
 #endif
 
 	register_atm_ioctl(&lane_ioctl_ops);
-        printk("lec.c: " __DATE__ " " __TIME__ " initialized\n");
+        printk(KERN_INFO "lec.c: " __DATE__ " " __TIME__ " initialized\n");
         return 0;
 }
 
@@ -1340,7 +1341,7 @@ static int lane2_associate_req (struct n
         memcpy(skb->data, tlvs, sizeoftlvs);
         retval = send_to_lecd(priv, l_associate_req, NULL, NULL, skb);
         if (retval != 0)
-                printk("lec.c: lane2_associate_req() failed\n");
+                printk(KERN_DEBUG "lec.c: lane2_associate_req() failed\n");
         /* If the previous association has changed we must
          * somehow notify other LANE entities about the change
          */
@@ -1375,10 +1376,10 @@ static void lane2_associate_ind (struct 
         memcpy(entry->tlvs, tlvs, sizeoftlvs);
 #endif
 #if 0
-        printk("lec.c: lane2_associate_ind()\n");
-        printk("dump of tlvs, sizeoftlvs=%d\n", sizeoftlvs);
+        printk(KERN_DEBUG "lec.c: lane2_associate_ind()\n");
+        printk(KERN_DEBUG "dump of tlvs, sizeoftlvs=%d\n", sizeoftlvs);
         while (i < sizeoftlvs)
-                printk("%02x ", tlvs[i++]);
+                printk(KERN_DEBUG "%02x ", tlvs[i++]);
         
         printk("\n");
 #endif
@@ -1591,7 +1592,7 @@ dump_arp_table(struct lec_priv *priv)
         struct lec_arp_table *mcast_fwds = priv->mcast_fwds;
 
 
-        printk("Dump %p:\n",priv);
+        printk(KERN_DEBUG "Dump %p:\n",priv);
         for (i=0;i<LEC_ARP_TABLE_SIZE;i++) {
                 rulla = lec_arp_tables[i];
                 offset = 0;
@@ -1624,11 +1625,11 @@ dump_arp_table(struct lec_priv *priv)
                         offset+=sprintf(buf+offset,"->%p\n",rulla->next);
                         rulla = rulla->next;
                 }
-                printk("%s",buf);
+                printk(KERN_DEBUG "%s",buf);
         }
         rulla = lec_no_forward;
         if (rulla)
-                printk("No forward\n");  
+                printk(KERN_DEBUG "No forward\n");  
         while(rulla) {
                 offset=0;
                 offset += sprintf(buf+offset,"Mac:");
@@ -1655,11 +1656,11 @@ dump_arp_table(struct lec_priv *priv)
                                 get_status_string(rulla->status));
                 offset+=sprintf(buf+offset,"->%lx\n",(long)rulla->next);
                 rulla = rulla->next;
-                printk("%s",buf);
+                printk(KERN_DEBUG "%s",buf);
         }
         rulla = lec_arp_empty_ones;
         if (rulla)
-                printk("Empty ones\n");  
+                printk(KERN_DEBUG "Empty ones\n");  
         while(rulla) {
                 offset=0;
                 offset += sprintf(buf+offset,"Mac:");
@@ -1686,12 +1687,12 @@ dump_arp_table(struct lec_priv *priv)
                                 get_status_string(rulla->status));
                 offset+=sprintf(buf+offset,"->%lx\n",(long)rulla->next);
                 rulla = rulla->next;
-                printk("%s",buf);
+                printk(KERN_DEBUG "%s",buf);
         }
 
         rulla = mcast_fwds;
         if (rulla)
-                printk("Multicast Forward VCCs\n");  
+                printk(KERN_DEBUG "Multicast Forward VCCs\n");  
         while(rulla) {
                 offset=0;
                 offset += sprintf(buf+offset,"Mac:");
@@ -1718,7 +1719,7 @@ dump_arp_table(struct lec_priv *priv)
                                 get_status_string(rulla->status));
                 offset+=sprintf(buf+offset,"->%lx\n",(long)rulla->next);
                 rulla = rulla->next;
-                printk("%s",buf);
+                printk(KERN_DEBUG "%s",buf);
         }
 
 #endif
@@ -1814,7 +1815,7 @@ make_entry(struct lec_priv *priv, unsign
 
         to_return = kmalloc(sizeof(struct lec_arp_table), GFP_ATOMIC);
         if (!to_return) {
-                printk("LEC: Arp entry kmalloc failed\n");
+                printk(KERN_ERR "LEC: Arp entry kmalloc failed\n");
                 return NULL;
         }
         memset(to_return, 0, sizeof(struct lec_arp_table));
@@ -2234,7 +2235,8 @@ lec_vcc_added(struct lec_priv *priv, str
 #if 0
                 entry = lec_arp_find(priv, bus_mac);
                 if (!entry) {
-                        printk("LEC_ARP: Multicast entry not found!\n");
+                        printk(KERN_WARNING "LEC_ARP: Multicast entry "
+							"not found!\n");
 			goto out;
                 }
                 memcpy(entry->atm_addr, ioc_data->atm_addr, ATM_ESA_LEN);
--- a/net/atm/mpc.c
+++ b/net/atm/mpc.c
@@ -170,7 +170,7 @@ struct atm_mpoa_qos *atm_mpoa_add_qos(ui
 
 	entry = kmalloc(sizeof(struct atm_mpoa_qos), GFP_KERNEL);
 	if (entry == NULL) {
-		printk("mpoa: atm_mpoa_add_qos: out of memory\n");
+		printk(KERN_ERR "mpoa: atm_mpoa_add_qos: out of memory\n");
 		return entry;
 	}
 
@@ -297,8 +297,9 @@ static void start_mpc(struct mpoa_client
 	
 	dprintk("mpoa: (%s) start_mpc:\n", mpc->dev->name); 
 	if (dev->hard_start_xmit == NULL) {
-		printk("mpoa: (%s) start_mpc: dev->hard_start_xmit == NULL, not starting\n",
-		       dev->name);
+		printk(KERN_WARNING "mpoa: (%s) start_mpc: "
+				"dev->hard_start_xmit == NULL, not starting\n", 
+								dev->name);
 		return;
 	}
 	mpc->old_hard_start_xmit = dev->hard_start_xmit;
@@ -376,7 +377,8 @@ static void lane2_assoc_ind(struct net_d
 	dprintk("total length of all TLVs %d\n", sizeoftlvs);
 	mpc = find_mpc_by_lec(dev); /* Sampo-Fix: moved here from below */
 	if (mpc == NULL) {
-		printk("mpoa: (%s) lane2_assoc_ind: no mpc\n", dev->name);
+		printk(KERN_WARNING "mpoa: (%s) lane2_assoc_ind: no mpc\n", 
+							dev->name);
 		return;
 	}
 	end_of_tlvs = tlvs + sizeoftlvs;
@@ -386,12 +388,14 @@ static void lane2_assoc_ind(struct net_d
 		tlvs += 5;
 		dprintk("    type 0x%x length %02x\n", type, length);
 		if (tlvs + length > end_of_tlvs) {
-			printk("TLV value extends past its buffer, aborting parse\n");
+			printk(KERN_NOTICE "TLV value extends past its buffer,"
+							" aborting parse\n");
 			return;
 		}
 		
 		if (type == 0) {
-			printk("mpoa: (%s) lane2_assoc_ind: TLV type was 0, returning\n", dev->name);
+			printk(KERN_NOTICE "mpoa: (%s) lane2_assoc_ind: "
+				"TLV type was 0, returning\n", dev->name);
 			return;
 		}
 
@@ -404,14 +408,14 @@ static void lane2_assoc_ind(struct net_d
 		dprintk("mpoa: (%s) MPOA device type '%s', ", dev->name, mpoa_device_type_string(mpoa_device_type));
 		if (mpoa_device_type == MPS_AND_MPC &&
 		    length < (42 + number_of_mps_macs*ETH_ALEN)) { /* :) */
-			printk("\nmpoa: (%s) lane2_assoc_ind: short MPOA Device Type TLV\n",
-			       dev->name);
+			printk(KERN_INFO "\nmpoa: (%s) lane2_assoc_ind: "
+				"short MPOA Device Type TLV\n", dev->name);
 			continue;
 		}
 		if ((mpoa_device_type == MPS || mpoa_device_type == MPC)
 		    && length < 22 + number_of_mps_macs*ETH_ALEN) {
-			printk("\nmpoa: (%s) lane2_assoc_ind: short MPOA Device Type TLV\n",
-				dev->name);
+			printk(KERN_INFO "\nmpoa: (%s) lane2_assoc_ind: "
+				"short MPOA Device Type TLV\n", dev->name);
 			continue;
 		}
 		if (mpoa_device_type != MPS && mpoa_device_type != MPS_AND_MPC) {
@@ -420,7 +424,8 @@ static void lane2_assoc_ind(struct net_d
 			continue;  /* we are only interested in MPSs */
 		}
 		if (number_of_mps_macs == 0 && mpoa_device_type == MPS_AND_MPC) {
-			printk("\nmpoa: (%s) lane2_assoc_ind: MPS_AND_MPC has zero MACs\n", dev->name);
+			printk(KERN_INFO "\nmpoa: (%s) lane2_assoc_ind:"
+				" MPS_AND_MPC has zero MACs\n", dev->name);
 			continue;  /* someone should read the spec */
 		}
 		dprintk("this MPS has %d MAC addresses\n", number_of_mps_macs);
@@ -432,8 +437,9 @@ static void lane2_assoc_ind(struct net_d
 		if (tlvs == NULL) return;
 	}
 	if (end_of_tlvs - tlvs != 0)
-		printk("mpoa: (%s) lane2_assoc_ind: ignoring %Zd bytes of trailing TLV carbage\n",
-		       dev->name, end_of_tlvs - tlvs);
+		printk(KERN_NOTICE "mpoa: (%s) lane2_assoc_ind: "
+			"ignoring %Zd bytes of trailing TLV garbage\n",
+					dev->name, end_of_tlvs - tlvs);
 	return;
 }
 
@@ -453,7 +459,8 @@ static uint8_t *copy_macs(struct mpoa_cl
 		mpc->number_of_mps_macs = 0;
 		mpc->mps_macs = kmalloc(num_macs*ETH_ALEN, GFP_KERNEL);
 		if (mpc->mps_macs == NULL) {
-			printk("mpoa: (%s) copy_macs: out of mem\n", mpc->dev->name);
+			printk(KERN_ERR "mpoa: (%s) copy_macs: out of mem\n", 
+								mpc->dev->name);
 			return NULL;
 		}
 	}
@@ -544,7 +551,8 @@ static int mpc_send_packet(struct sk_buf
 	
 	mpc = find_mpc_by_lec(dev); /* this should NEVER fail */
 	if(mpc == NULL) {
-		printk("mpoa: (%s) mpc_send_packet: no MPC found\n", dev->name);
+		printk(KERN_WARNING "mpoa: (%s) mpc_send_packet: "
+						"no MPC found\n", dev->name);
 		goto non_ip;
 	}
 
@@ -576,7 +584,9 @@ static int atm_mpoa_vcc_attach(struct at
 
 	bytes_left = copy_from_user(&ioc_data, arg, sizeof(struct atmmpc_ioc));
 	if (bytes_left != 0) {
-		printk("mpoa: mpc_vcc_attach: Short read (missed %d bytes) from userland\n", bytes_left);
+		printk(KERN_ERR "mpoa: mpc_vcc_attach: "
+			"Short read (missed %d bytes) from userland\n", 
+								bytes_left);
 		return -EFAULT;
 	}
 	ipaddr = ioc_data.ipaddr;
@@ -590,18 +600,21 @@ static int atm_mpoa_vcc_attach(struct at
 	if (ioc_data.type == MPC_SOCKET_INGRESS) {
 		in_entry = mpc->in_ops->get(ipaddr, mpc);
 		if (in_entry == NULL || in_entry->entry_state < INGRESS_RESOLVED) {
-			printk("mpoa: (%s) mpc_vcc_attach: did not find RESOLVED entry from ingress cache\n",
-				mpc->dev->name);
+			printk(KERN_ERR "mpoa: (%s) mpc_vcc_attach: "
+			"did not find RESOLVED entry from ingress cache\n",
+							mpc->dev->name);
 			if (in_entry != NULL) mpc->in_ops->put(in_entry);
 			return -EINVAL;
 		}
 		ip = (unsigned char*)&in_entry->ctrl_info.in_dst_ip;
-		printk("mpoa: (%s) mpc_vcc_attach: attaching ingress SVC, entry = %u.%u.%u.%u\n",
-		       mpc->dev->name, ip[0], ip[1], ip[2], ip[3]);
+		printk(KERN_INFO "mpoa: (%s) mpc_vcc_attach: "
+				"attaching ingress SVC, entry = %u.%u.%u.%u\n",
+				mpc->dev->name, ip[0], ip[1], ip[2], ip[3]);
 		in_entry->shortcut = vcc;
 		mpc->in_ops->put(in_entry);
 	} else {
-		printk("mpoa: (%s) mpc_vcc_attach: attaching egress SVC\n", mpc->dev->name);
+		printk(KERN_INFO "mpoa: (%s) mpc_vcc_attach: "
+				"attaching egress SVC\n", mpc->dev->name);
 	}
 
 	vcc->proto_data = mpc->dev;
@@ -621,7 +634,8 @@ static void mpc_vcc_close(struct atm_vcc
 	
 	mpc = find_mpc_by_lec(dev);
 	if (mpc == NULL) {
-		printk("mpoa: (%s) mpc_vcc_close: close for unknown MPC\n", dev->name);
+		printk(KERN_WARNING "mpoa: (%s) mpc_vcc_close: "
+					"close for unknown MPC\n", dev->name);
 		return;
 	}
 
@@ -680,7 +694,8 @@ static void mpc_push(struct atm_vcc *vcc
 
 	mpc = find_mpc_by_lec(dev);
 	if (mpc == NULL) {
-		printk("mpoa: (%s) mpc_push: unknown MPC\n", dev->name);
+		printk(KERN_WARNING "mpoa: (%s) mpc_push: unknown MPC\n", 
+								dev->name);
 		return;
 	}
 
@@ -688,12 +703,15 @@ static void mpc_push(struct atm_vcc *vcc
 		ddprintk("mpoa: (%s) mpc_push: tagged data packet arrived\n", dev->name);
 
 	} else if (memcmp(skb->data, &llc_snap_mpoa_data, sizeof(struct llc_snap_hdr)) == 0) { /* MPOA data */
-		printk("mpoa: (%s) mpc_push: non-tagged data packet arrived\n", dev->name);
-		printk("           mpc_push: non-tagged data unsupported, purging\n");
+		printk(KERN_NOTICE "mpoa: (%s) mpc_push: "
+			"non-tagged data packet arrived\n", dev->name);
+		printk(KERN_NOTICE "           mpc_push: "
+				"non-tagged data unsupported, purging\n");
 		dev_kfree_skb_any(skb);
 		return;
 	} else {
-		printk("mpoa: (%s) mpc_push: garbage arrived, purging\n", dev->name);
+		printk(KERN_NOTICE "mpoa: (%s) mpc_push: "
+				"garbage arrived, purging\n", dev->name);
 		dev_kfree_skb_any(skb);
 		return;
 	}
@@ -703,8 +721,9 @@ static void mpc_push(struct atm_vcc *vcc
 
 	eg = mpc->eg_ops->get_by_tag(tag, mpc);
 	if (eg == NULL) {
-		printk("mpoa: (%s) mpc_push: Didn't find egress cache entry, tag = %u\n",
-		       dev->name,tag);
+		printk(KERN_NOTICE "mpoa: (%s) mpc_push: "
+				"Didn't find egress cache entry, tag = %u\n", 
+								dev->name,tag);
 		purge_egress_shortcut(vcc, NULL);
 		dev_kfree_skb_any(skb);
 		return;
@@ -716,7 +735,8 @@ static void mpc_push(struct atm_vcc *vcc
 	 */ 
 	if (eg->shortcut == NULL) {
 		eg->shortcut = vcc;
-		printk("mpoa: (%s) mpc_push: egress SVC in use\n", dev->name);
+		printk(KERN_NOTICE "mpoa: (%s) mpc_push: egress SVC in use\n", 
+								dev->name);
 	}
 
 	skb_pull(skb, sizeof(struct llc_snap_hdr) + sizeof(tag)); /* get rid of LLC/SNAP header */
@@ -782,7 +802,8 @@ static int atm_mpoa_mpoad_attach (struct
 		mpc->dev = find_lec_by_itfnum(arg); /* NULL if there was no lec */
 	}
 	if (mpc->mpoad_vcc) {
-		printk("mpoa: mpoad_attach: mpoad is already present for itf %d\n", arg);
+		printk(KERN_ERR "mpoa: mpoad_attach: "
+				"mpoad is already present for itf %d\n", arg);
 		return -EADDRINUSE;
 	}
 
@@ -837,11 +858,12 @@ static void mpoad_close(struct atm_vcc *
 
 	mpc = find_mpc_by_vcc(vcc);
 	if (mpc == NULL) {
-		printk("mpoa: mpoad_close: did not find MPC\n");
+		printk(KERN_ERR "mpoa: mpoad_close: did not find MPC\n");
 		return;
 	}
 	if (!mpc->mpoad_vcc) {
-		printk("mpoa: mpoad_close: close for non-present mpoad\n");
+		printk(KERN_ERR "mpoa: mpoad_close: "
+				"close for non-present mpoad\n");
 		return;
 	}
 	
@@ -861,7 +883,7 @@ static void mpoad_close(struct atm_vcc *
 		kfree_skb(skb);
 	}
 	
-	printk("mpoa: (%s) going down\n",
+	printk(KERN_INFO "mpoa: (%s) going down\n",
 		(mpc->dev) ? mpc->dev->name : "<unknown>");
 	module_put(THIS_MODULE);
 
@@ -879,7 +901,7 @@ static int msg_from_mpoad(struct atm_vcc
 	atomic_sub(skb->truesize, &sk_atm(vcc)->sk_wmem_alloc);
 	
 	if (mpc == NULL) {
-		printk("mpoa: msg_from_mpoad: no mpc found\n");
+		printk(KERN_WARNING "mpoa: msg_from_mpoad: no mpc found\n");
 		return 0;
 	}
 	dprintk("mpoa: (%s) msg_from_mpoad:", (mpc->dev) ? mpc->dev->name : "<unknown>");
@@ -944,7 +966,8 @@ int msg_to_mpoad(struct k_message *mesg,
 	struct sock *sk;
 
 	if (mpc == NULL || !mpc->mpoad_vcc) {
-		printk("mpoa: msg_to_mpoad: mesg %d to a non-existent mpoad\n", mesg->type);
+		printk(KERN_ERR "mpoa: msg_to_mpoad: mesg %d to "
+					"a non-existent mpoad\n", mesg->type);
 		return -ENXIO;
 	}
 
@@ -984,7 +1007,8 @@ static int mpoa_event_listener(struct no
 			       dev->name);
 			mpc = alloc_mpc();
 			if (mpc == NULL) {
-				printk("mpoa: mpoa_event_listener: no new mpc");
+				printk(KERN_ERR "mpoa: mpoa_event_listener: "
+								"no new mpc\n");
 				break;
 			}
 		}
@@ -1070,8 +1094,9 @@ static void MPOA_trigger_rcvd(struct k_m
 		return;
 	}
 	
-	printk("mpoa: (%s) MPOA_trigger_rcvd: entry already in resolving state\n",
-		(mpc->dev) ? mpc->dev->name : "<unknown>");
+	printk(KERN_INFO "mpoa: (%s) MPOA_trigger_rcvd: entry already "
+				"in resolving state\n",
+				(mpc->dev) ? mpc->dev->name : "<unknown>");
 	mpc->in_ops->put(entry);
 	return;
 }
@@ -1110,7 +1135,8 @@ static void check_qos_and_open_shortcut(
 	if (qos && (qos->qos.txtp.traffic_class == msg->qos.txtp.traffic_class))
 	{
 		msg->qos = qos->qos;
-		printk("mpoa: (%s) trying to get a CBR shortcut\n",client->dev->name);
+		printk(KERN_INFO "mpoa: (%s) trying to get a CBR shortcut\n",
+							client->dev->name);
     	}
 	else memset(&msg->qos,0,sizeof(struct atm_qos));
 	msg_to_mpoad(msg, client);
@@ -1127,13 +1153,16 @@ static void MPOA_res_reply_rcvd(struct k
 	dprintk("mpoa: (%s) MPOA_res_reply_rcvd: ip %u.%u.%u.%u\n", mpc->dev->name, NIPQUAD(ip));
 	ddprintk("mpoa: (%s) MPOA_res_reply_rcvd() entry = %p", mpc->dev->name, entry);
 	if(entry == NULL){
-		printk("\nmpoa: (%s) ARGH, received res. reply for an entry that doesn't exist.\n", mpc->dev->name);
+		printk(KERN_WARNING "\nmpoa: (%s) ARGH, received res. "
+			"reply for an entry that doesn't exist.\n", 
+							mpc->dev->name);
 		return;
 	}
 	ddprintk(" entry_state = %d ", entry->entry_state);	
 
 	if (entry->entry_state == INGRESS_RESOLVED) {
-		printk("\nmpoa: (%s) MPOA_res_reply_rcvd for RESOLVED entry!\n", mpc->dev->name);
+		printk(KERN_WARNING "\nmpoa: (%s) MPOA_res_reply_rcvd "
+				"for RESOLVED entry!\n", mpc->dev->name);
 		mpc->in_ops->put(entry);
 		return;
 	}
@@ -1151,8 +1180,9 @@ static void MPOA_res_reply_rcvd(struct k
 	}
 
 	if (entry->shortcut != NULL) {
-		printk("mpoa: (%s) MPOA_res_reply_rcvd: entry->shortcut != NULL, impossible!\n",
-		       mpc->dev->name);
+		printk(KERN_WARNING "mpoa: (%s) MPOA_res_reply_rcvd:"
+				" entry->shortcut != NULL, impossible!\n", 
+							mpc->dev->name);
 		mpc->in_ops->put(entry);
 		return;
 	}
@@ -1173,7 +1203,8 @@ static void ingress_purge_rcvd(struct k_
 	in_cache_entry *entry = mpc->in_ops->get_with_mask(dst_ip, mpc, mask);
 
 	if(entry == NULL){
-		printk("mpoa: (%s) ingress_purge_rcvd: purge for a non-existing entry, ", mpc->dev->name);
+		printk(KERN_ERR "mpoa: (%s) ingress_purge_rcvd: purge for"
+				" a non-existing entry, ", mpc->dev->name);
 		printk("ip = %u.%u.%u.%u\n", ip[0], ip[1], ip[2], ip[3]);
 		return;
 	}
@@ -1218,13 +1249,14 @@ static void purge_egress_shortcut(struct
 
 	dprintk("mpoa: purge_egress_shortcut: entering\n");
 	if (vcc == NULL) {
-		printk("mpoa: purge_egress_shortcut: vcc == NULL\n");
+		printk(KERN_ERR "mpoa: purge_egress_shortcut: vcc == NULL\n");
 		return;
 	}
 
 	skb = alloc_skb(sizeof(struct k_message), GFP_ATOMIC);
 	if (skb == NULL) {
-		 printk("mpoa: purge_egress_shortcut: out of memory\n");
+		 printk(KERN_ERR "mpoa: purge_egress_shortcut: "
+		 				"out of memory\n");
 		return;
 	}
 
@@ -1256,7 +1288,8 @@ static void mps_death( struct k_message 
 	dprintk("mpoa: (%s) mps_death:\n", mpc->dev->name);
 
 	if(memcmp(msg->MPS_ctrl, mpc->mps_ctrl_addr, ATM_ESA_LEN)){
-		printk("mpoa: (%s) mps_death: wrong MPS\n", mpc->dev->name);
+		printk(KERN_ERR "mpoa: (%s) mps_death: wrong MPS\n", 
+							mpc->dev->name);
 		return;
 	}
 
@@ -1327,10 +1360,12 @@ static void set_mpc_ctrl_addr_rcvd(struc
 		priv = (struct lec_priv *)mpc->dev->priv;
 		retval = priv->lane2_ops->associate_req(mpc->dev, mpc->dev->dev_addr, tlv, sizeof(tlv));
 		if (retval == 0)
-			printk("mpoa: (%s) MPOA device type TLV association failed\n", mpc->dev->name);
+			printk(KERN_WARNING "mpoa: (%s) MPOA device type TLV"
+				" association failed\n", mpc->dev->name);
 		retval = priv->lane2_ops->resolve(mpc->dev, NULL, 1, NULL, NULL);
 		if (retval < 0)
-			printk("mpoa: (%s) targetless LE_ARP request failed\n", mpc->dev->name);
+			printk(KERN_WARNING "mpoa: (%s) targetless LE_ARP"
+					" request failed\n", mpc->dev->name);
 	}
 
 	return;
@@ -1344,7 +1379,7 @@ static void set_mps_mac_addr_rcvd(struct
 	client->number_of_mps_macs = 0;
 	client->mps_macs = kmalloc(ETH_ALEN,GFP_KERNEL);
 	if (client->mps_macs == NULL) {
-		printk("mpoa: set_mps_mac_addr_rcvd: out of memory\n");
+		printk(KERN_ERR "mpoa: set_mps_mac_addr_rcvd: out of memory\n");
 		return;
 	}
 	client->number_of_mps_macs = 1;
@@ -1456,7 +1491,7 @@ static __init int atm_mpoa_init(void)
 		printk(KERN_INFO "mpoa: /proc/mpoa initialized\n");
 #endif
 
-	printk("mpc.c: " __DATE__ " " __TIME__ " initialized\n");
+	printk(KERN_INFO "mpc.c: " __DATE__ " " __TIME__ " initialized\n");
 
 	return 0;
 }
--- a/net/atm/mpoa_caches.c
+++ b/net/atm/mpoa_caches.c
@@ -91,7 +91,8 @@ static in_cache_entry *in_cache_add_entr
 	in_cache_entry* entry = kmalloc(sizeof(in_cache_entry), GFP_KERNEL);
 
 	if (entry == NULL) {
-		printk("mpoa: mpoa_caches.c: new_in_cache_entry: out of memory\n");
+		printk(KERN_ERR "mpoa: mpoa_caches.c: new_in_cache_entry: "
+							"out of memory\n");
 		return NULL;
 	}
 
@@ -459,7 +460,8 @@ static eg_cache_entry *eg_cache_add_entr
 	eg_cache_entry *entry = kmalloc(sizeof(eg_cache_entry), GFP_KERNEL);
 
 	if (entry == NULL) {
-		printk("mpoa: mpoa_caches.c: new_eg_cache_entry: out of memory\n");
+		printk(KERN_ERR "mpoa: mpoa_caches.c: new_eg_cache_entry: "
+							"out of memory\n");
 		return NULL;
 	}
 
--- a/net/atm/mpoa_proc.c
+++ b/net/atm/mpoa_proc.c
@@ -218,7 +218,8 @@ static ssize_t proc_mpc_write(struct fil
         *p = '\0';
 
 	if (!parse_qos(page))
-                printk("mpoa: proc_mpc_write: could not parse '%s'\n", page);
+		printk(KERN_WARNING "mpoa: proc_mpc_write: "
+						"could not parse '%s'\n", page);
 
         free_page((unsigned long)page);
         
